#!/bin/sh

# All Rights Reserved * Licensed Materials - Property of IBM
# 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp., 1997, 2010
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Launch clearClassCache

# Launch Arguments:
#   none
#

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

# valid values for $PLATFORM are AIX, HP-UX, Linux, SunOS and OS/390
#HP_UX and SunOS do not ship the IBM JDK, so function is not needed.
case $PLATFORM in
	AIX | Linux)
		${JAVA_EXE} -Djava.endorsed.dirs="$WAS_ENDORSED_DIRS" -Xshareclasses:destroyAll 2> /dev/null
		launchExit=$?
		if [ "$launchExit" = 1 ]
		then
			exit 0
		fi
		exit `expr $launchExit + $?`
	;;
	
	OS/390)
		${JAVA_EXE} -Djava.endorsed.dirs="$WAS_ENDORSED_DIRS" -Xshareclasses:cacheDir=${WAS_HOME},destroyAll 2> /dev/null
	;;
		
	*)
		exit 0
	;;
esac

